<?php 
include('nf_config.php');
include('menu_side.php');

if(isset($_REQUEST['submit']) and $_REQUEST['submit']!=""){
	extract($_REQUEST);
	if($username==""){
		header('location:'.$_SERVER['PHP_SELF'].'?msg=un');
		exit;
	}
/*	elseif($user_description=""){
		header('location:'.$_SERVER['PHP_SELF'].'?msg=ue');
		exit;
	}	*/
	else{
		
		$userCount	=	$db->getQueryCount('members_det','cid');
		if($userCount[0]['total']<2000000){
			$data	=	array(
							'username'=>$username,
							'user_description'=>$user_description,
							'demo_user'=>$demo_user,
							'lang'=>$ulang
						);
			$insert	=	$db->insert('members_det',$data);
			if($insert){
				header('location:nf_users.php?msg=ras&pid='.$pid.'&xuid='.$xuid.'&lang='.$lang);
				exit;
			}else{
				header('location:nf_users.php?msg=rna&pid='.$pid.'&xuid='.$xuid.'&lang='.$lang);
				exit;
			}
		}else{
			header('location:'.$_SERVER['PHP_SELF'].'?msg=dsd&pid='.$pid.'&xuid='.$xuid.'&lang='.$lang);
			exit;
		}
	}
}
?>

<!doctype html>

<html lang="en-US" class="no-js">

<head>

	<meta charset="UTF-8">

	<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

	<title><?php echo $nusers ?></title>

	

    <link rel="stylesheet" href="./bootstrap/css/bootstrap.css" >
    <link rel="stylesheet" href="./fontawesome/css/all.css" >
	
	

</head>



<body>

	

  	<div class="container">


		<?php

		if(isset($_REQUEST['msg']) and $_REQUEST['msg']=="un"){

			echo	'<div class="alert alert-danger"><i class="fa fa-exclamation-triangle"></i> $field_mand </div>';

		}elseif(isset($_REQUEST['msg']) and $_REQUEST['msg']=="ue"){

			echo	'<div class="alert alert-danger"><i class="fa fa-exclamation-triangle"></i> $field_mand </div>';

		}elseif(isset($_REQUEST['msg']) and $_REQUEST['msg']=="up"){

			echo	'<div class="alert alert-danger"><i class="fa fa-exclamation-triangle"></i> $field_mand </div>';

		}elseif(isset($_REQUEST['msg']) and $_REQUEST['msg']=="ras"){

			echo	'<div class="alert alert-success"><i class="fa fa-thumbs-up"></i> $recadded </div>';

		}elseif(isset($_REQUEST['msg']) and $_REQUEST['msg']=="rna"){

			echo	'<div class="alert alert-danger"><i class="fa fa-exclamation-triangle"></i> $recaddedno <strong> $tryagain </strong></div>';

		}elseif(isset($_REQUEST['msg']) and $_REQUEST['msg']=="dsd"){

			echo	'<div class="alert alert-danger"><i class="fa fa-exclamation-triangle"></i> Please delete a user and then try again <strong>We set limit for security reasons!</strong></div>';

		}

		?>

		<div class="card">

			<div class="card-header"><i class="fa fa-fw fa-plus-circle"></i> <strong><?php echo $nadd." ".$nuser;  ?></strong> <a href="nf_users.php?pid=<?php echo $pid ?>&xuid=<?php echo $xuid ?>&lang=<?php echo $lang ?>" class="float-end btn btn-dark btn-sm"><i class="fa fa-fw fa-globe"></i> <?php echo $nbrowse." ".$nusers;  ?></a></div>

			<div class="card-body">

				

				<div class="col-sm-6">

					<h6 class="card-title"><?php echo $nfields_with ?> <span class="text-danger">*</span> <?php echo $nmandatory ?></h6>

					<form method="post">
					
						<div class="mb-3">

							<label><?php echo $n_username ?><span class="text-danger">*</span></label>


									<?php
									echo "<select name='username' id='username' class='form-select' > ";
									printf ("<option value = >Enter $n_username</option>");
									include('r_dbc.php');
											$sql = "select username
											from members
											where username not in (select username from members_det)
											order by 1";
									$result = mysqli_query($conn, $sql);
									if (mysqli_num_rows($result) > 0) {
										  while($row = mysqli_fetch_assoc($result)) {
											printf ("<option value = %s > %s </option>", $row["username"],$row["username"]);
											}
										}
									mysqli_close($conn);
									echo "</select>";
									?>

						</div>						
					

						<div class="mb-3">

							<label><?php echo $ndesc ?><span class="text-danger">*</span></label>

							<input type="text" name="user_description" id="user_description" class="form-control" placeholder="<?php echo $nenter." ".$ndesc; ?>" required>

						</div>		

						<div class="mb-3">

							<label><?php echo $ndemo_user ?><span class="text-danger">*</span></label>

									<select name='demo_user' id='demo_user' class='form-select' >
									<option><?php echo $nselect ?></option>
									<option value = "0" ><?php echo  $nnocap ?></option>
									<option value = "1" ><?php echo  $nyescap ?></option>
									</select>

						</div>						

						<div class="mb-3">

							<label><?php echo $nlang ?><span class="text-danger">*</span></label>
								
									<select name='ulang' id='ulang'  class='form-select' >
									<option><?php echo $nselect ?></option>
									<option value = "1" ><?php echo  $nenglish ?></option>
									<option value = "2" ><?php echo  $ngreek ?></option>
									</select>
									
						</div>						
						

							<input type="hidden" id="pid"  name="pid"  value="<?php echo $pid ?>"  >
							<input type="hidden" id="xuid" name="xuid" value="<?php echo $xuid ?>" >
							<input type="hidden" id="lang" name="lang" value="<?php echo $lang ?>" >

						<div>
							<button type="submit" name="submit" value="submit" id="submit" class="btn btn-primary"><i class="fa fa-fw fa-plus-circle"></i><?php echo $nadd." ".$nuser ?></button>

						</div>

					</form>

				</div>

			</div>

		</div>

	</div>



    <script src="./jquery-3.4.1.js"></script>
    <script src="popper.min.js" ></script>
    <script src="./bootstrap/js/bootstrap.min.js" ></script>    


    

</body>

</html>